Subject: bug#33939: 26.1; Avoid loading libs eagerly or unnecessarily in mhtml-mode/sgml-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Jan 2019 05:37:45 +0200

> From:  Leo Liu <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 07 Jan 2019 08:33:43 +0800
> 
> I just discovered that css-mode.el also unnecessarily loads eww which in
> turn loads gazillion of other things (including gnus).
> 
> Do you mind if I also remove (require 'eww) from css-mode.el? This
> shaves off another 800ms making (require 'mhtml-mode) at a more
> reasonable 650ms. Sound like a win ;)

I don't mind, of course, but if you want this to go to the release
branch, please show the proposed patch.

Thanks.